renardo(1)

NAME
renardo - live coding with Python and SuperCollider

SYNOPSIS
  renardo [options]

DESCRIPTION

Renardo is a Python programming environment editor for use with separated FoxDot library or Renardo fork, it provides a fast and user-friendly abstraction to the powerful audio-engine, SuperCollider. It comes with its own IDE, which means it can be used straight out of the box; all you need is Python and SuperCollider and you're ready to go!

OPTIONS

-N --no-tui
    Does start renardo TUI.

-p --pipe
    Run Renardo from the command line interface.

-f --foxdot-editor
    Run Renardo with the classic FoxDot code editor.

-b --boot
    Boot SuperCollider Renardo instance automatically.

-c --create-scfiles
    Create Renardo class file and startup file in SuperCollider user conf dir.

SEE ALSO
FoxDotEditor(1), renardo_gatherer(1), sclang(1), https://foxdot.org, https://renardo.org

AUTHOR
FoxDot was written by Ryan Kirkbride. Renardo is a FoxDot fork written by Elie Gavoty.

This manual page was written for the Debian system (and may be used by others) by Joenio Marques da Costa <joenio@joenio.me>.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-3.